%global momorel 1
%global __libtoolize :
%global md5sum_src0 16a3d885e523303be794282c0ed90841

Summary: Powerful image loading and rendering library
Name: imlib2
Version: 1.4.1
Release: %{momorel}m%{?dist}
License: Modified BSD
Group: System Environment/Libraries
URL: http://www.enlightenment.org/
%NoSource 0 http://dl.sourceforge.net/sourceforge/enlightenment/%{name}-%{version}.tar.gz %{md5sum_src0}
Patch0: %{name}-%{version}-X11-path.patch
Patch1: %{name}-1.4.0-pc.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libjpeg-devel, libtiff-devel, libungif-devel
BuildRequires: libpng-devel >= 1.2.7
BuildRequires: libX11-devel, libXext-devel
BuildRequires: freetype-devel
BuildRequires: zlib-devel, bzip2-devel

%description
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

%package devel
Summary: Imlib2 headers, static libraries and documentation
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libjpeg-devel, libtiff-devel, libungif-devel
Requires: libpng-devel >= 1.2.7
Requires: freetype-devel >= 2.3.1-2m
Requires: zlib-devel, bzip2-devel

%description devel
Headers, static libraries and documentation for Imlib2.

%prep
%setup -q
%patch0 -p1 -b .X11~
%patch1 -p1 -b .freetype~

%build
autoreconf -fi
%configure \
%ifarch ppc
--disable-mmx
%endif

%make

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%makeinstall transform='s,x,x,'

# DO NOT REMOVE la files
# find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING ChangeLog doc/index.html doc/imlib2.gif doc/blank.gif
%{_bindir}/*
%{_libdir}/imlib2
%exclude %{_libdir}/imlib2/filters/*.a
%exclude %{_libdir}/imlib2/loaders/*.a
%{_libdir}/libImlib2.so.*
%{_datadir}/imlib2

%files devel
%defattr(-,root,root,0755)
%{_includedir}/*
%{_libdir}/pkgconfig/imlib2.pc
%{_libdir}/imlib2/filters/*.a
%{_libdir}/imlib2/loaders/*.a
%{_libdir}/libImlib2.a
%{_libdir}/libImlib2.la
%{_libdir}/libImlib2.so

%changelog
* Fri Jun 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.1-1m)
- [SECURITY] CVE-2008-2426
- update to 1.4.1

* Wed Jul 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-2m)
- revive la files and move {filters,loaders}/*.la to main package
- http://bugs.kde.org/93359
- https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=142244
- move {filters,loaders}/*.so from devel to main package

* Wed May 30 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.4.0-1m)
- [SECURITY] CVE-2006-4806 CVE-2006-4807 CVE-2006-4808 CVE-2006-4809
- update to 1.4.0

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-4m)
- imlib2-devel Requires: freetype2-devel -> freetype-devel

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.2-3m)
- delete libtool library

* Wed Oct 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.2-2m)
- change autoreconf to each autotools

* Sun May 16 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.2.2-1m)
- update to 1.2.2

* Fri Feb 11 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.0-4m)
- modify dependency freetype -> freetype2

* Sun Jan 23 2005 Toru Hoshina <t@momonga-linux.org>
- (1.2.0-3m)
- @requirements@ was left in imlib2.pc, it's annoying so much...

* Thu Jan 20 2005 Toru Hoshina <t@momonga-linux.org>
- (1.2.0-2m)
- enable x86_64. mmx support doesn't match for x86_64 at this moment.

* Sun Jan  9 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.2.0-1m)
- version 1.2.0

* Mon Nov 29 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.2-2m)
- add transform='s,x,x,' at makeinstall section

* Sat Nov 27 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.2-1m)
- [SECURITY] fixed buffer overflow in bmp handling, CAN-2004-0802
- update to 1.1.2

* Tue Oct 19 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-3m)
- add Patch0: imlib2-1.1.0-gcc34.patch
  reported by Hiromasa YOSHIMOTO [Momonga-devel.ja:02823]

* Wed May 5 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1.0-2m)
- pkgconfig is missed.

* Wed May 5 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.0-1m)
- update to 1.1.0
- revise specfile

* Sat Jul 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.0.6-3m)
- fix niwatama reported by sanuki([devel.ja:01975])

* Fri Apr 26 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.0.6-2k)

* Sat Apr 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.0.5-8k)
- rebuild against libpng-1.2.2

* Tue Mar  5 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.5-6k)
- include .la 

* Sat Feb 23 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.5-4k)
- disable mmx

* Sat Feb 23 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.5-2k)
- create
